Summary: A pptp client for the french Alcatel ethernet ADSL routers.
Name: pptp-alcatel
Version: 1.0.2
Release: fr5
#Serial: 
Copyright: GPL
Group: Applications/Internet
Source0: ftp://ftp.rhapsodyk.net/pub/linux/pptp/pptp-linux-%{version}-patched.tar.gz
Source1: adsl.init
Source2: adsl.cron
Source3: adsl-check
Source4: ADSL-Howto.html
URL: http://www.rhapsodyk.net/adsl/HOWTO/
BuildRoot: %{_tmppath}/%{name}-root
Requires: ppp >= 2.3.11

%description
This package contains pptp-linux, an implementation of the PPTP protocol
for Linux and other Unix systems. It also provides useful init scripts
to easily start/stop an ADSL connection and a simple shell script that
will bring the link back up if ever the remote router cannot be reached
anymore (it is run as a cron job).

%prep
%setup -q -n pptp-linux-%{version}

%build
make

%install
rm -rf %{buildroot}
cp %{SOURCE4} .
mkdir -p %{buildroot}%{_sbindir}
install -m 755 pptp %{buildroot}%{_sbindir}
install -m 755 pptp_callmgr %{buildroot}%{_sbindir}
install -m 755 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/adsl
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.d/adsl
install -m 755 -D %{SOURCE3} %{buildroot}%{_sbindir}/adsl-check

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO USING ADSL-Howto.html
%{_sbindir}/pptp
%{_sbindir}/pptp_callmgr
%{_sbindir}/adsl-check
%{_sysconfdir}/init.d/adsl
%{_sysconfdir}/cron.d/adsl

%changelog
* Tue Apr 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and rebuild for Red Hat 7.1.

* Mon Nov 27 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the S and K levels for the init script

* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the adsl-check and the crontab entry

* Tue Nov  7 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

